$kind: http-request
name: Collect
url: "{{eonlive}}transact/collect"
method: POST
body:
  type: json
  content: |-
    //nGx4EU830HaQQUzjR6rlK1j95ciARCBZi8pWp6vn - test
        //5PJx74S1x5YzdUQDeLrZIwR2uvV3IT5YZ3GegZA3 - DMK
       //TEXTUG rRQPcNt9cblb749YAmYRxkhSpTNtiQlUjQUsYuIc 
       //KTFKVTbAmTyarjcz7blk6H0nj93Tv4tmuo8iIdqp Kyaru

        //ChZySMHdzibWwlyhhRAeQWwJq3BdD3tylwBnvlQL
        //YWPuHQ6NMBXndNInc0BgoxPrbpBj43c8OpdTnUw4

    { 
      "amount": 500,
      "msisdn": "256773860814",
       // "masked_contact": "256702771124",
      "narrative": "Collection May Payment",
      "currency": "UGX",
      "ext_ref": "REF123456",
      //"currency_id":1,
      "customer_names": "Test Organization",
      "customer_email": "mplat84@gmail.com"
        //   "currency_id":1
        //   "transaction_note":"Loan Payment"
    }
    /*{
        "mobile_money_phone_number":"+256761209162",
        "amount":85000,
        "package_id":2,
        "package_count":1,
        "payment_method":1
    }*/
    /*
    { 
      "amount": 500,
      "msisdn": "256773860814",
       // "masked_contact": "256702771124",
      "narrative": "Collection May Payment",
      "currency": "UGX",
      "ext_ref": "REF123456",
      //"currency_id":1,
      "customer_names": "Test Organization",
      "customer_email": "triadmicrofinanceugandalimited@gmail.com"
        //   "currency_id":1
        //   "transaction_note":"Loan Payment"
    }
    /*{
        "masked_contact": "+256702771124",
        "amount": "500",
        "transaction_note": "Test",
        "currency_id": "1",
        "msisdn": "+256702771124"
    }
    */
auth:
  type: apikey
  credentials:
    value: "{{kyaru}}"
    key: X-Authorization
    in: header
order: 4000
